# JSON S Gen

A generator of JSON schema.

Actually in a beta version, you can pass in your JSON and the generator will give you 
back a draft-7 schema with standard information.

In further versions, options to customise generation would be available to select
draft version and generated information... and more features.

For more information about JSON schemas, the official documentation is here <http://json-schema.org/> 

## Installation
```sh
npm install json-s-generator --save
```

## Usage
Import Generator class into your typescript project, create a new instance of it.

Call getSchema by passing in your JSON model to generate a schema based on it.
```typescript
import { Generator } from 'json-s-generator';

const myModel = {
    "name": "Alfred",
    "car": {
        "brand": "Toyoki",
        "color": "red",
        "version": 42,
        "isElectric": false
    },
    "children": ["John", "Kate"]
};
const generator = new Generator();
const mySchema = generator.getSchema(myModel);
```

## Test
Tests are written with Mocha and Chai. You can run them with the command.
```sh
npm run test
```

